# react-native-eosio-swift

## Getting started

`$ npm install react-native-eosio-swift --save`

### Mostly automatic installation

`$ react-native link react-native-eosio-swift`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-eosio-swift` and add `EosioSwift.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libEosioSwift.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainApplication.java`
  - Add `import com.reactlibrary.EosioSwiftPackage;` to the imports at the top of the file
  - Add `new EosioSwiftPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-eosio-swift'
  	project(':react-native-eosio-swift').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-eosio-swift/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-eosio-swift')
  	```


## Usage
```javascript
import EosioSwift from 'react-native-eosio-swift';

// TODO: What to do with the module?
EosioSwift;
```
